import discord

from v6d2ctx.context import Explicit

__all__ = ("assert_admin",)


def assert_admin(member: discord.Member | None):
    assert isinstance(member, discord.Member)
    permissions: discord.Permissions = member.guild_permissions
    if not permissions.administrator:
        raise Explicit("not an administrator")
